Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.localsearch.decider.acceptor.tabu
Class PlanningEntityTabuAcceptor

    java.lang.Object
      org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
          org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
              org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor
                  org.drools.planner.core.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
                      org.drools.planner.core.localsearch.decider.acceptor.tabu.PlanningEntityTabuAcceptor

All Implemented Interfaces:
  EventListener, Acceptor, LocalSearchSolverPhaseLifecycleListener, SolverLifecycleListener

    public class PlanningEntityTabuAcceptor

extends AbstractTabuAcceptor

Field Summary

Fields inherited from class org.drools.planner.core.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
`aspirationEnabled, assertTabuHashCodeCorrectness, fadingTabuSize, tabuSequenceList, tabuSize, tabuToStepIndexMap`

Fields inherited from class org.drools.planner.core.localsearch.decider.acceptor.AbstractAcceptor
`logger`

Constructor Summary
`PlanningEntityTabuAcceptor()`

Method Summary
`protected Collection<? extends Object>` | `findNewTabu(LocalSearchStepScope stepScope)`
`protected Collection<? extends Object>` | `findTabu(LocalSearchMoveScope moveScope)`

Methods inherited from class org.drools.planner.core.localsearch.decider.acceptor.tabu.AbstractTabuAcceptor
`calculateFadingTabuAcceptChance, isAccepted, phaseEnded, phaseStarted, setAspirationEnabled, setAssertTabuHashCodeCorrectness, setFadingTabuSize, setTabuSize, stepEnded`

Methods inherited from class org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListenerAdapter
`stepStarted`

Methods inherited from class org.drools.planner.core.solver.event.SolverLifecycleListenerAdapter
`solvingEnded, solvingStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.core.localsearch.event.LocalSearchSolverPhaseLifecycleListener
`stepStarted`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Constructor Detail

### PlanningEntityTabuAcceptor

    public PlanningEntityTabuAcceptor()

Method Detail

### findTabu

    protected Collection<? extends Object> findTabu(LocalSearchMoveScope moveScope)

  Specified by:
    `findTabu` in class `AbstractTabuAcceptor`

### findNewTabu

    protected Collection<? extends Object> findNewTabu(LocalSearchStepScope stepScope)

  Specified by:
    `findNewTabu` in class `AbstractTabuAcceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.